Package com.emc.documentum.rest.model

# Enum Class Enforce

java.lang.Object
java.lang.Enum<Enforce>
com.emc.documentum.rest.model.Enforce

All Implemented Interfaces:
  `Serializable`, `Comparable<Enforce>`, `Constable`

public enum Enforce extends Enum<Enforce>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BY_APPLICATION`
  `DISABLED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Enforce`
  `valueOf(int enforce)`
  Returns the enum constant of this class with the specified name.
  `static Enforce`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Enforce[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DISABLED

    public static final Enforce DISABLED

  - ### BY_APPLICATION

    public static final Enforce BY_APPLICATION

- ## Method Details

  - ### values

    public static Enforce[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Enforce valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### valueOf

    public static Enforce valueOf(int enforce)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `enforce` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null